Subject: B16 - Building GDB, linking problems
From: [email-masked] ("John D. Haughton")

8 Nov 1996 11:03:36 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Original-To: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

I am trying to build a cross version of GDB, everything compiles, but =
fails the final link with a long list of undefined symbols. I used the =
following configure command.

    configure --host=3Di386-unknown-cygwin32 --target=3Dpowerpc-ibm-aix =
--norecursion=20

undefined symbols:

    xcoff_relocate_symtab
    dos_path_to_unix_path
    cygwin32_unix_path_to_dos_path_keep_rel
    cygwin32_dos_path_to_unix_path_keep_rel
    unix_path_to_dos_path
    aix_process_linenos
    setpwent
    tgetnum
    tgetflag
    tputs
    tgoto
    tgetstr
    sigmask
    sigblock

I realise that I  should be chasing each of these myself, but I thought =
that someone might have been this way before and could point out my =
silly mistake.=20

Any help gratefully received.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".